<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Create Reimbursement</title>
    <link rel="stylesheet" href="style.css" />
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1"
      crossorigin="anonymous"
    />
  </head>
  <body class="home">
    <navbar class="custom-navbar">
        <ul class="navlist">
            <li><a href="index.html">Index</a></li>
            <li><button type="button" id="homepageBtn" class="btn btn-primary">Homepage</button></li>
            <li><a href="login.html">Login</a></li>
            <li><button type="button" id="logoutBtn" class="btn btn-primary">Logout</button></li>
        </ul>
      </navbar>
      
    <!-- main content of the page -->
    <h1 class="greeting-header">Submit a reimbursement request here.</h1>
    <br />
    <div class="relocationBtns">
        <button type="button" id="createReimbursementRedirect" class="btn btn-primary" onclick = "location.href='create_reimbursement.html'">Create new reimbursement request</button>
        <button type="button" id="viewApprovedRedirect" class="btn btn-primary" onclick = "location.href='view_approved.html'">View approved reimbursement requests</button>
        <button type="button" id="viewDeniedRedirect" class="btn btn-primary" onclick = "location.href='view_denied.html'">View denied reimbursement requests</button>
    </div>
    <br />
    <div class = "forms" id = "createReimbursementForm">
    <h2>Create Reimbursement Request here:</h2>
    <form>
        <label for="amount-label" class="form-label">Amount:</label>
        <input type="text" class="form-control" id="amountInput">
        <br />
        <select id = "typeInput" class="form-select" aria-label="Default select example">
            <option selected>Choose Type:</option>
            <option value="TRAVEL">Travel</option>
            <option value="FOOD">Food</option>
            <option value="HOUSING">Housing</option>
            <option value="CERTIFICATION">Certification</option>
            <option value="OTHER">Other</option>
        </select>
        <br />
        <button type="button" id="createReimbursementBtn" class="btn btn-primary">Submit</button>
    </form>
    </div>
    <h3 id = "successText" hidden=true>Successful submission of the Reimbursement request!</h3>
    <h3 id = "failureText" hidden=true>The submission request failed.</h3>
    <br />
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/js/bootstrap.bundle.min.js" 
    integrity="sha384-ygbV9kiqUc6oa4msXn9868pTtWMgiQaeYH7/t7LECLbyPA2x65Kgf80OJFdroafW" 
    crossorigin="anonymous">
    </script>
    <script src="ers_data.js"></script>
    <script src ="employee.js"></script>
    <script src="all_pages.js"></script>
    
  </body>
</html>